# DataExchange
TKSTEPBase
StepShape

# StepShape_ReversibleTopologyItem Class Reference

`#include <StepShape_ReversibleTopologyItem.hxx>`

Inheritance diagram for StepShape_ReversibleTopologyItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_ReversibleTopologyItem ()
| Returns a ReversibleTopologyItem SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a ReversibleTopologyItem Kind Entity that is : 1 -> Edge 2 -> Path 3 -> Face 4 -> FaceBound 5 -> ClosedShell 6 -> OpenShell 0 else .
Standard_EXPORT Handle_StepShape_Edge | Edge () const
| returns Value as a Edge (Null if another type)
Standard_EXPORT Handle_StepShape_Path | Path () const
| returns Value as a Path (Null if another type)
Standard_EXPORT Handle_StepShape_Face | Face () const
| returns Value as a Face (Null if another type)
Standard_EXPORT Handle_StepShape_FaceBound | FaceBound () const
| returns Value as a FaceBound (Null if another type)
Standard_EXPORT Handle_StepShape_ClosedShell | ClosedShell () const
| returns Value as a ClosedShell (Null if another type)
Standard_EXPORT Handle_StepShape_OpenShell | OpenShell () const
| returns Value as a OpenShell (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ReversibleTopologyItem::StepShape_ReversibleTopologyItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepShape_ReversibleTopologyItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepShape_ClosedShell StepShape_ReversibleTopologyItem::ClosedShell | ( |  | ) | const

Standard_EXPORT Handle_StepShape_Edge StepShape_ReversibleTopologyItem::Edge | ( |  | ) | const

Standard_EXPORT Handle_StepShape_Face StepShape_ReversibleTopologyItem::Face | ( |  | ) | const

Standard_EXPORT Handle_StepShape_FaceBound StepShape_ReversibleTopologyItem::FaceBound | ( |  | ) | const

Standard_EXPORT Handle_StepShape_OpenShell StepShape_ReversibleTopologyItem::OpenShell | ( |  | ) | const

void StepShape_ReversibleTopologyItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_ReversibleTopologyItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_ReversibleTopologyItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepShape_Path StepShape_ReversibleTopologyItem::Path | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepShape_ReversibleTopologyItem.hxx